ServerEvents.recipes(GregTechApocalypse => {
  GregTechApocalypse.remove({ id: 'createdieselgenerators:crafting/diesel_engine' })
  GregTechApocalypse.shaped('createdieselgenerators:diesel_engine', ['ACB', 'DED', 'FGF'], {
    A: 'gtceu:hv_electric_pump',
    B: 'gtceu:hv_electric_piston',
    C: 'minecraft:flint_and_steel',
    D: 'createdieselgenerators:engine_piston',
    E: 'gtceu:brass_block',
    F: 'minecraft:polished_blackstone_slab',
    G: 'create:fluid_tank'
  })

  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/item_vault' })
  GregTechApocalypse.shapeless('create:item_vault', [
    '#forge:barrels/wooden','gtceu:steel_plate','gtceu:steel_plate'
  ])

  GregTechApocalypse.remove({ id: 'createdieselgenerators:compression_molding/bucket' })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/water_wheel' })
  GregTechApocalypse.shaped('create:water_wheel', ['AAA', 'ABA', 'AAA'], {
    A: '#forge:treated_wood',
    B: 'gtceu:lv_robot_arm'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/large_water_wheel' })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/steam_engine' })
  GregTechApocalypse.shaped('create:steam_engine', [' A ', ' B ', ' C '], {
    A: '#forge:plates/gold',
    B: 'gtceu:hv_robot_arm',
    C: 'minecraft:copper_block'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/windmill_bearing' })
  GregTechApocalypse.shaped('create:windmill_bearing', [' A ', ' B ', ' C '], {
    A: '#forge:treated_wood_slab',
    B: 'gtceu:mv_robot_arm',
    C: 'create:shaft'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/encased_fan' })
  GregTechApocalypse.shaped('create:encased_fan', [' A ', ' B ', ' C '], {
    A: 'create:shaft',
    B: 'create:andesite_casing',
    C: 'gtceu:iron_rotor'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/mechanical_drill' })
  GregTechApocalypse.shaped('create:mechanical_drill', [' A ', 'ABA', ' C '], {
    A: 'create:andesite_alloy',
    B: 'gtceu:iron_drill_head',
    C: 'create:andesite_casing'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/mechanical_press' })
  GregTechApocalypse.shaped('create:mechanical_press', [' A ', ' B ', ' C '], {
    A: 'create:shaft',
    B: 'create:andesite_casing',
    C: 'gtceu:steel_block'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/mechanical_saw' })
  GregTechApocalypse.shaped('create:mechanical_saw', [' A ', 'ABA', ' C '], {
    A: '#forge:plates/iron',
    B: 'gtceu:iron_chainsaw_head',
    C: 'create:andesite_casing'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/fluid_pipe' })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/fluid_pipe_vertical' })
  GregTechApocalypse.shaped('create:fluid_pipe', ['CBC', 'BAB', 'CBC'], {
    A: 'gtceu:stainless_steel_normal_fluid_pipe',
    B: 'gtceu:copper_foil',
    C: 'gtceu:rubber_foil'
  })
  GregTechApocalypse.remove({ id: 'create:crafting/kinetics/belt_connector' })
  GregTechApocalypse.shaped('create:belt_connector', ['AAA', 'A A', 'AAA'], {
    A: 'gtceu:rubber_plate'
  })
})